Subject: RE: ssl proxy

From: "Petryczka, George" <[email-masked]>
Date: Tue, 28 May 2002 11:49:41 -0400

Owen,
The browser is just for test to verify that proxy is working.  My ultimate
goal does not involve browsers at all - just an app pumping http messages
into a proxy that converts to SSL and forwards to an https client.

Anyway, for the test, the only settings i have changed from the default conf
file  (aside from domain names and emails) is :
       on the target:   No change
       on the proxy:    ProxyPass and ProxyPassReverse
as was suggested to me by Aryeh.  Also on the proxy:  the Ifmodule
Mod_proxy.c clause is uncommented, Proxy Reqeusts On is set, and httpd -l
shows proxy.c module is compiled in.

(And i'm not even trying this with HTTPS/SSL yet, though that is ultimately
my goal - i just want to keep it as simple as i can for first test.)

What i type in the browser is the url to myscript  (see original note
below).

What i want displayed is simply the output of myscript  (which i DO get
successfully if i point directly at the destination, again, as i note below.

-george

-----Original Message-----
From: Owen Boyle [mailto:[email-masked]]
Sent: Tuesday, May 28, 2002 11:18 AM
To: [email-masked]
Subject: Re: ssl proxy

"Petryczka, George" wrote:
> 
> Tried ProxyPass and ProxyPassReverse on my proxy box and my test fails
> (even with just plain http) with 404.  To test I use MSIE against the
proxy
> host:
> http://www.myprox.com:8080/cgi-bin/myscript
> 
> It does work when i point directly at the destination host:
> http://www.mydest.com:8080/cgi-bin/myscript

What do you want to type in the browser?
What do you want it to produce?
What do your proxy directives look like?

rgds,

Owen Boyle.
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: "Aryeh Katz" <[email-masked]>
Date: Tue, 28 May 2002 12:26:03 -0400

> What i want displayed is simply the output of myscript  (which i DO
> get successfully if i point directly at the destination, again, as i
> note below.
> 
> -george
If you show us your exact proxy directive, it would help. You are probably missing the port.
Thus, your ProxyPass (and ProxyPassReverse) should say:
ProxyPass / http://my.dest.com:8080/
Aryeh
---
Aryeh Katz
VASCO 			
www.vasco.com